'SHA1Checksum

'SHA1Checksum - .bi-Version

'Initialisierungskonstanten
#Define H0 &H67452301
#Define H1 &Hefcdab89
#Define H2 &H98badcfe
#Define H3 &H10325476
#Define H4 &Hc3d2e1f0

'*******************************************************

#Define Ch(x,y,z) ((x And y) Xor ((Not x) And z))
#Define Maj(x,y,z) ((x And y) Xor (x And z) Xor (y And z))
#Define Par(x,y,z) (x Xor y Xor z)

#Define RotateLeft(x, n) ((x Shl n) Or (x Shr (32 - n)))

'*******************************************************

Type SHA1Checksum
	Public:
	Declare Constructor()
	Declare Destructor()
	
	Declare Sub Transform(inpt As UByte Ptr)
	Declare Sub Update(dat As UByte Ptr, length As UInteger<32>)
	Declare Function Final() As String
	
	Private:
	As UInteger<32> state(5)
	As UInteger<32> count(2)
	As UByte buf(64)
End Type




